/*
 * at91lib_spi.h
 *
 *  Created on: 01.02.2010
 *      Author: Pernicius
 */

#ifndef AT91LIB_SPI_H_
#define AT91LIB_SPI_H_


// AT91SAMT7S256 definitions
#include <AT91SAM7S256.h>
// Exact-width integer types. WG14/N843 C99 Standard
#include <stdint.h>


#define SPI_CS_OFF	0xFF


void at91_spi_init(void);
void at91_spi_sendbyte(uint16_t data);
void at91_spi_chipselect(uint8_t device);
void at91_spi_config(uint8_t device, uint32_t flags);


#endif // AT91LIB_SPI_H_
