/*
 * systimer.h
 *
 *  Created on: 27.02.2010
 *      Author: Pernicius
 */

#ifndef SYSTIMER_H_
#define SYSTIMER_H_


// Exact-width integer types. WG14/N843 C99 Standard
#include <stdint.h>


typedef uint64_t systime_t;


uint32_t systimer_getres(void);
void systimer_setres(uint32_t ticks_per_sec);

systime_t systimer_get(void);
void systimer_add(uint32_t ticks);

void sleep_ms(uint32_t sleep_ms);
void sleep_ns(uint32_t sleep_ns);


#endif // SYSTIMER_H_
